#%define svn		svn_r20246
#%define svnr		r20246
%define __libtoolize	/bin/true

Summary: 	Plugins for multi channel settings manager
Name: 		xfce-mcs-plugins
Version: 	4.4.0
Release: 	%mkrel 1
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager >= %{version}
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	libgdk_pixbuf2.0-devel


%description
Xfce-mcs-plugins is a set of plugins for the multi channel settings manager.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/mcs-plugins/*.*a
#rm unneeded icons
rm -f %{buildroot}/%{_iconsdir}/hicolor/*/apps/xfce-file*.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS
%{_datadir}/xfce4/doc
%{_datadir}/applications/*
%{_datadir}/icons/*
%{_datadir}/xfce-mcs-plugins/shortcuts/default.xml
%{_libdir}/xfce4/mcs-plugins/*




%changelog
* Thu Jan 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.0-1mdv2007.1
+ Revision: 113468
- New release

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-2mdv2007.1
+ Revision: 94822
- Bump Release

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 94692
- New release 4.3.99.2

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-mcs-plugins-4.3.90.2-1mdv2007.0


* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- New version

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove more unneeded devel files

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)
- remove unneeded devel files

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update filelist

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

